@font-face {
    font-family: "Rodinbokutoh";
    src: url("../res/fot-rodinbokutoh-pro-b.otf");
}

.alert {
    margin: 20px;
    display: flex;
    font-family: 'Rodinbokutoh', sans-serif;
    position: relative;
    height: 220px;
    width: 675px;
    background-repeat: no-repeat;
    opacity: 0;
    transition: opacity 0.3s;
}


.alert-don {
    background-image: url("./res/alert-bg-don.svg");
}

.alert-don .alert-badge {
    transform-origin: left;
    background-image: url("./res/alert-badge-don.svg");
}

.alert-don .alert-label {
    margin: 70px 5% 0 auto ;
}

.alert-follow {
    background-image: url("./res/alert-bg-follow.svg");
}

.alert-follow .alert-badge {
    background-image: url("./res/alert-badge-follow.svg");
}

.alert-prime {
    background-image: url("./res/alert-bg-prime.svg");
}

.alert-prime .alert-badge {
    background-image: url("./res/alert-badge-prime.svg");
}

.alert-sub {
    background-image: url("./res/alert-bg-sub.svg");
}

.alert-sub .alert-badge {
    background-image: url("./res/alert-badge-sub.svg");
}

.alert-label {
    display: inline-block;
    text-align: center;
    width: 70%;
    height: 110px;
    margin: 70px auto 0 5%;
    font-size: 1.5em;
    line-height: 1em;
    color: #74664B;
}

.alert-badge {
    transform-origin: right;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    animation: 1s ease-out 0s infinite alternate bonk-bonk;
}

.fade-in {
    opacity: 1;
    animation: fadeIn 0.3s ease-in;
}

@keyframes bonk-bonk {
    from {
        transform: rotate(3deg);
    }
    to {
        transform: rotate(-3deg);
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}